using System;
using System.Collections.Generic;
using System.Text;

namespace Struktur
{
   class PunktC
   {
      public float x;
      public float y;

      public PunktC()
      {
         this.x = 1;
         this.y = 1;
      }
   }
   /// <summary>
   /// Speichert zweidimensionale Koordinaten.
   /// </summary>
   struct PunktS
   {
      public float x;
      public float y;

      /// <summary>
      /// Initialisiert einen Punkt mit den übergebenen Koordinaten
      /// </summary>
      /// <param name="xWert">X-Koordinate</param>
      /// <param name="yWert">Y-Koordinaten</param>
      public PunktS(float xWert, float yWert)
      {
         this.x = xWert;
         this.y = yWert;
      }

      public override string ToString()
      {
         return "(" + this.x + "," + this.y + ")";
      }
   }

   class Program
   {
      static void Main(string[] args)
      {
         PunktS ps = new PunktS(3,4);

         Console.WriteLine(ps);
      }
   }
}
